// MotionController_GALIL.h: interface for the CMotionController_GALIL class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "MotionControllerBase.h"

class CMotionController_GALIL : public CMotionControllerBase
{
public:
    CMotionController_GALIL(int index);
    virtual ~CMotionController_GALIL();

    BOOL Init(int& nNoOfMtr) override;
    void Close() override;

    //  get Motion status of motor
    int GetMotionStatus(const CMtrProfile& mtrProfile) override;

    void SetGalilMotionInt(int nAxisNo);

    int m_nCurrentGalilCard{ 0 };
    int m_nCurrentIndex{ 0 };

private:
    std::array<CWinThread*, 4> m_pGalilIntThread{};
};
